function change_special_checkbox(unchecked, checked, checkbox) {
    if (checkbox.length > 0) {
        var label = checkbox.next($('.special-checkbox'));

        if (label.length > 0 && unchecked != undefined && checked != undefined) {
            if (!label.is(':has(.special-checkbox__value)')) {
                label.append('<span class="special-checkbox__value"></span>');
            }

            var label_value = label.find($('.special-checkbox__value'));
            label_value.text('');

            if (checkbox.prop('checked')) {
                label_value
                    .css({
                        'left': -24 + 'px'
                    })
                    .text(checked);
            } else {
                label_value
                    .css({
                        'left': 15 + 'px'
                    })
                    .text(unchecked);
            }
        }
    }
}